﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Windows.Forms;
using HeuristicLab.MainForm;
using HeuristicLab.MainForm.WindowsForms;

namespace HeuristicLab.Clients.Hive.CloudManager.Views {
  /// <summary>
  /// View for Hive Cloud Manager.
  /// </summary>
  [View("Hive Cloud Manager")]
  [Content(typeof(CloudManagerClient), true)]
  public partial class HiveCloudManagerView : AsynchronousContentView {
    public new CloudManagerClient Content {
      get { return (CloudManagerClient)base.Content; }
      set { base.Content = value; }
    }

    public HiveCloudManagerView() {
      InitializeComponent();
      cloudResourcesView.Content = CloudManagerClient.Instance.Subscriptions;
      cloudResourcesView.HostedServices = CloudManagerClient.Instance.HostedServices;

      cloudResourcesView.Restore();
    }

    #region Register Content Events
    protected override void DeregisterContentEvents() {
      base.DeregisterContentEvents();
    }
    protected override void RegisterContentEvents() {
      base.RegisterContentEvents();
    }
    #endregion

    #region Content Events

    protected override void OnContentChanged() {
      base.OnContentChanged();
    }

    protected override void SetEnabledStateOfControls() {
      base.SetEnabledStateOfControls();
    }

    #endregion
  }
}
